Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 157589 - Starting x fails during install due to module load failures
Summary: Starting x fails during install due to module load failures
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Fedora
Classification: Fedora
Component: xorg-x11
Version: 4
Hardware: All
OS: Linux
medium
high
Target Milestone: ---
Assignee: X/OpenGL Maintenance List
QA Contact: David Lawrence
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2005-05-12 22:05 UTC by Steve Wardell
Modified: 2007-11-30 22:11 UTC (History)
0 users

Fixed In Version: FC5
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2006-06-14 16:52:10 UTC


Attachments (Terms of Use)
log file (deleted)
2005-05-25 15:47 UTC, Steve Wardell
no flags Details
config file (deleted)
2005-05-25 15:48 UTC, Steve Wardell
no flags Details
another log (deleted)
2005-05-25 15:48 UTC, Steve Wardell
no flags Details
last log (deleted)
2005-05-25 15:48 UTC, Steve Wardell
no flags Details

Description Steve Wardell 2005-05-12 22:05:38 UTC
Description of problem:
I'm running a Matrox Millenium P650 dual head DVI card. When I run the normal
linux install and it attempts to start X, the screen goes blank. Switching to
other terminals and checking the log I see the following:

OS Kernel: Linux version 2.6.11-1.1286_FC4 (bhcompile@bugs.build.redhat.com)
(gcc version 4.0.0 20050423 (Red Hat 4.0.0-2)) #1 Wed May 4 11:31:49 EDT 2005
Markers: (--) probed, (**) from config file, (==) default setting,
        (++) from command line, (!!) notice, (II) informational,
        (WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(++) Log file: "/tmp/ramfs/X.log", Time: Thu May 12 17:00:08 2005
(++) Using config file: "/tmp/XConfig.test"
(EE) Failed to load module "glx" (module does not exist, 0)
(EE) Failed to load module "record" (module does not exist, 0)
(EE) Failed to load module "dri" (module does not exist, 0)
error opening security policy file /etc/X11/xserver/SecurityPolicy
Could not init font path element unix/:7100, removing from list!


Version-Release number of selected component (if applicable):
6.8.2-30

How reproducible:


Steps to Reproduce:
1. Boot FC4T3 install disc
2. Type linux
  
Actual results:
Screen eventually goes blank

Expected results:
X would load and the screen would display correctly

Comment 1 Mike A. Harris 2005-05-24 16:25:48 UTC
Matrox G650 is unsupported by the "mga" driver, but I believe should work
with minimal 2D graphics with the "vesa" driver.  You will need to do a text
mode install first, and then run "system-config-display --reconfig" to
generate a new config.

Please test this config, and then attach the complete X server log and config
file as individual uncompressed files using the link below for further review.

Thanks in advance.

Setting status to "NEEDINFO"



Comment 2 Steve Wardell 2005-05-25 15:46:57 UTC
Yeah, I'm familar with the whole Matrox closed source issue and am just hoping
for single screen VESA being functional. I performed the steps as you asked and
will attach the files. Let me know if you need additional information.

Comment 3 Steve Wardell 2005-05-25 15:47:34 UTC
Created attachment 114834 [details]
log file

Comment 4 Steve Wardell 2005-05-25 15:48:02 UTC
Created attachment 114835 [details]
config file

Comment 5 Steve Wardell 2005-05-25 15:48:20 UTC
Created attachment 114836 [details]
another log

Comment 6 Steve Wardell 2005-05-25 15:48:47 UTC
Created attachment 114837 [details]
last log

Comment 7 Steve Wardell 2005-06-14 20:33:59 UTC
I'm still experiencing this problem with FC4 final release.

Comment 8 Mike A. Harris 2006-06-14 16:52:10 UTC
Since this bugzilla report was filed, there have been several major
updates to the X Window System, which may resolve this issue.  Users
who have experienced this problem are encouraged to upgrade to the
latest version of Fedora Core, which can be obtained from:

        http://fedora.redhat.com/download

If this issue turns out to still be reproduceable in the latest
version of Fedora Core, please file a bug report in the X.Org
bugzilla located at http://bugs.freedesktop.org in the "xorg"
component.

Once you've filed your bug report to X.Org, if you paste the new
bug URL here, Red Hat will continue to track the issue in the
centralized X.Org bug tracker, and will review any bug fixes that
become available for consideration in future updates.

Setting status to "CURRENTRELEASE".






Note You need to log in before you can comment on or make changes to this bug.